/**
 * Created by z.jm on 2015/11/15.
 */

"use strict";
angular.module('pfApp')
    .factory('FinanceBusinessPandaTreasureService', [function () {

        var randomScalingFactor = function () {
            return Math.round(Math.random() * 10)
        };

        return {
            pandaTreasureSevenDayProfitData: function () {
                var pandaTreasureSevenDayProfitData = {
                    labels: ["11-1", "11-2", "11-3", "11-4", "11-5", "11-6", "11-7"],
                    datasets: [
                        {
                            label: "近期日年化收益率",
                            fillColor: "rgba(151,187,205,0.2)",
                            strokeColor: "rgba(151,187,205,1)",
                            pointColor: "rgba(151,187,205,1)",
                            pointStrokeColor: "#fff",
                            pointHighlightFill: "#fff",
                            pointHighlightStroke: "rgba(151,187,205,1)",
                            data: [randomScalingFactor(), randomScalingFactor(), randomScalingFactor(), randomScalingFactor(), randomScalingFactor(), randomScalingFactor(), randomScalingFactor()]
                        }
                    ]

                };

                return pandaTreasureSevenDayProfitData;
            }(),
            pandaTreasureMillionProfitData: function () {
                var pandaTreasureMillionProfitData = {
                    labels: ["11-1", "11-2", "11-3", "11-4", "11-5", "11-6", "11-7"],
                    datasets: [
                        {
                            fillColor: "rgba(151,187,205,0.2)",
                            strokeColor: "rgba(151,187,205,1)",
                            data: [65, 59, 90, 81, 56, 55, 40]
                        }
                    ]
                };
                return pandaTreasureMillionProfitData;
            }()
        };
    }]);

