/**
 * Created by Z.JM on 2015/11/10.
 */
;
"use strict";

angular.module('pfApp')

    .controller('TabCtrl', ['$rootScope', '$scope', '$ionicHistory', 'ChannelConstants', 'ChannelApplicationService', '$ionicPlatform', 'DevelopmentModeConstants',
        function ($rootScope, $scope, $ionicHistory, ChannelConstants, ChannelApplicationService, $ionicPlatform, DevelopmentModeConstants) {
        $ionicHistory.clearHistory();

        /*if(ChannelConstants.isAutoLogin){
            if(!DevelopmentModeConstants.debug) {
                $ionicPlatform.ready(function() {
                    autoLogin();
                });
            } else {
                autoLogin();
            }
        }*/

        /*function autoLogin() {
            ChannelApplicationService.getChannelParams()
                .then(function(data) {
                    if(data) {
                        var _param = {
                            mobileNo: data.mobileNo,
                            channelUserId: data.userId,
                            channelId: ChannelConstants.id
                        };
                        ChannelApplicationService.channelParamsData = _param;
                        ChannelApplicationService.channelAutoLogin(_param);
                    }
                }, function(error){
                    autoLogin();
                });
        }*/

    }])
    .controller('HomeCtrl', ['$ionicHistory', '$scope', '$state', '$ionicSlideBoxDelegate', 'HomeService', 'UserInfoService', '$PFHttpResource', 'RestFulURLConstants', 'NoviceGuide', 'BaiduLocation', '$timeout', '$interval', '$ionicPopup', '$ionicModal', '$sce', 'localStorageServices', 'downloadFileService', '$filter', 'ChannelConstants', 'ChannelApplicationService', 'loadingTextService',
        function ($ionicHistory, $scope, $state, $ionicSlideBoxDelegate, HomeService, UserInfoService, $PFHttpResource, RestFulURLConstants, NoviceGuide, BaiduLocation, $timeout, $interval, $ionicPopup, $ionicModal, $sce, localStorageServices, downloadFileService, $filter, ChannelConstants, ChannelApplicationService, loadingTextService) {

            $scope.appBack= function() {
                ChannelApplicationService.exitApp();
            };

            $scope.isShowBackBtn = ChannelConstants.isShowBackBtn;
            $scope.isShowLoginBtn = ChannelConstants.isShowLoginBtn;
            $scope.lastLoadAdsTime = 0;//记录上次加载运营位的时间
            $scope.ads = {};
            $scope.hope = function () {
                $ionicPopup.alert({
                    title: "消息",
                    template: '即将推出，敬请期待！',
                    okText: '知道了',
                    okType: 'button-panda'
                });
            };

            $scope.$watch('isGlobalLogin', function (value) {
                $scope.showLoginStyle = value ? {'display': 'none'} : {'display': 'inline-block'};
            });

            //产品信息
            $scope.currentFinances = [];
            $scope.depositFinances = [];

            //拍拍乐信息
            $scope.auctionStartList = [];

            //头产品信息
            $scope.advertisements = HomeService.advertisements;

            $scope.advertisements ? $scope.advertisements[1].uiSref = '' : '';

            $scope.isShowLoadingOfDepositFinances = true;
            $scope.isShowLoadingOfCurrentFinances = true;
            $scope.isShowLoadingOfStartingAuction = true;

            $scope.baiduLocationIsEnd = false;

            $scope.isSynchronizationHeaderFinanceProducts = false;

            //选择城市
            $scope.location = {name: '选择城市', code: ""};

            //定位
            $scope.getCurrentLocation = function () {
                $scope.baiduLocationIsEnd = false;
                BaiduLocation.getCityCode().then(function (location) {
                    $scope.baiduLocationIsEnd = true;
                    $scope.location.name = location.cityName;
                    $scope.location.code = location.cityCode;
                    BaiduLocation.close();
                }, function (error) {
                    //定位失败，强制刷新列表
                    $scope.baiduLocationIsEnd = true;
                    $scope.getAuctionStartingList();
                    BaiduLocation.close();
                });
            };

            $scope.$watch("location.code", function (value) {
                //如果改变的定位值为空，则不刷新列表
                if (null != value && value != "") {
                    $scope.auctionStartList = [];
                    $scope.getAuctionStartingList();
                }
            });

            //获取已经开始列表信息
            $scope.getAuctionStartingList = function () {
                if (null == $scope.auctionStartList || $scope.auctionStartList.length === 0) {
                    $scope.isShowLoadingOfStartingAuction = true;
                }
                new $PFHttpResource(RestFulURLConstants.auction.getAuctionStartingList, {goodsArea: $scope.location.code}, null, {show: false}).then(function (data) {
                    $scope.isShowLoadingOfStartingAuction = false;
                    $scope.auctionStartList = data.context.auctionInfos;
                }, function (error) {
                    $scope.isShowLoadingOfStartingAuction = false;
                });
            };

            //获取活期列表信息
            $scope.loadCurrentFinances = function () {
                if (null == $scope.currentFinances || $scope.currentFinances.length === 0) {
                    $scope.isShowLoadingOfCurrentFinances = true;
                }
                new $PFHttpResource(RestFulURLConstants.financeBusiness.getFundProducts, {isRecommend: '1'}, null, {show: false}).then(function (data) {
                    $scope.isShowLoadingOfCurrentFinances = false;
                    $scope.currentFinances = data.context.providerproducts;
                }, function (error) {
                    $scope.isShowLoadingOfCurrentFinances = false;
                });
            };
            //获取定期列表信息
            $scope.loadDepositFinances = function () {
                if (null == $scope.currentFinances || $scope.currentFinances.length === 0) {
                    $scope.isShowLoadingOfDepositFinances = true;
                }

                new $PFHttpResource(RestFulURLConstants.electronicBill.getWJProductList, {isRecommend: '1'}, null, {show: false})
                    .then(function (data) {
                        $scope.isShowLoadingOfDepositFinances = false;
                        $scope.depositFinances = data.context.data;
                    }, function (error) {
                        $scope.isShowLoadingOfDepositFinances = false;
                    });
            };

            //定时出刷新 5分钟自动刷新一次 静默刷新
            $scope.loadInterval = $interval(function () {
                //如果是浏览当前页面
                $scope.getAuctionStartingList();
            }, 5 * 60 * 1000);

            //20161103 (yanliang) 增加上拉，手动刷新
            $scope.loadingTxt = loadingTextService.getRandomTxt();
            $scope.doRefresh = function () {
                refreshHomePage(true);
                window.setTimeout(function () {
                    $scope.$broadcast('scroll.refreshComplete');
                    $scope.loadingTxt = loadingTextService.getRandomTxt();
                },500)
            };

            //销毁资源
            $scope.$on('$destroy', function () {
                $interval.cancel($scope.loadInterval);
            });

            function refreshHomePage(imRefresh) {
                // 加载活期
                $scope.loadCurrentFinances();
                // 加载定期
                $scope.loadDepositFinances();
                //加载运营位
                if((new Date().getTime()-$scope.lastLoadAdsTime>5*60*1000) || imRefresh) {
                    $scope.loadAdsData();
                }
                //加载首页公告
                $scope.loadHomeMessage();

                //如果之前定位失败，或者未定位，则再定位一次
                if (null == $scope.location.code || '' == $scope.location.code) {
                    $scope.getCurrentLocation();
                    //若定位时间过长，则直接加载列表数据
                    $timeout(function () {
                        //已经超出控制时间范围，并且还在持续定位
                        if (!$scope.baiduLocationIsEnd) {
                            $scope.getAuctionStartingList();
                        }
                    }, 10 * 1000);
                } else {
                    //如果之前定位成功，或者已经选择过确认城市，则静默更新数据
                    $scope.getAuctionStartingList();
                }

                //NoviceGuide({scope: $scope, url: "templates/noviceGuide/tab.home.html"}).then(function (result) {
                //
                //});
            }

            $scope.$on("$ionicView.afterEnter", function (event) {
                if ($state.params.goLogin) {
                    $state.go("security.login", {hideBackButton: true});
                }

                //加载首页数据(包括banner,e票通这些信息)
                refreshHomePage();
            });

            $scope.loadHomeMessage = function() {
              new $PFHttpResource(RestFulURLConstants.adsResource.getHomeMessage, {is_top: 'Y', page: 1}, null, {show: false})
                .then(function (data) {
                  $scope.allMessage = data.context.result;
                  if($scope.allMessage.length !== 0) {
                    $scope.message = $scope.allMessage[0];
                  } else {
                    $scope.message = '';
                  }
                }, function (error) {
                });
            };

            //到公告详情
            $scope.toMessageDetail = function (message) {
                var externalUrl = message.notifyUrl || message.pushUrl;
                if(externalUrl) {
                    //如果后管没有在url上加 http头（或https），则自动加上http
                    /*var ref = window.open(externalUrl.indexOf('http') == 0 ? externalUrl : ('http://' + externalUrl), '_blank', 'location=yes');
                    ref.addEventListener('loaderror', function (event) {
                        $cordovaToast.show('打开外部页面失败', 'short', 'center');
                    });*/
                    $state.go('tab.h5', {title: '公告',url: externalUrl});
                }else {
                    $state.go('personCenter.messageTextDetailNotLogin', {msg: angular.extend({}, message,{msgtype:1}),type: 'public'});
                }
            };

            $scope.loadAdsData = function () {
                $scope.lastLoadAdsTime=new Date().getTime();
                new $PFHttpResource(RestFulURLConstants.adsResource.getPositionByPid, {pid: ChannelConstants.indexAdPid}, null, {show: false})
                    .then(function (data) {
                        angular.forEach(data.context.context, function (obj) {
                            if(obj.name === 'banner') {
                                $scope.ads.banner = obj.child;
                                var handle = $ionicSlideBoxDelegate.$getByHandle('homeAdvertise');
                                handle.update();
                            } else if(obj.name === 'top') {
                                $scope.ads.roolPosition = obj.child;
                            } else if(obj.name === 'startAD') { //启动广告
                                if(!obj.child) {
                                    localStorageServices.setStorage('startAdImgSrc', null);
                                } else {
                                    downloadFileService.downloadImg(obj.child[0].srcOid, $filter('remoteImage')(obj.child[0].srcOid));
                                    $timeout(function() {
                                        localStorageServices.setStorage('startAdImgSrc', obj.child[0].srcOid);
                                    }, 3000);
                                }
                            }
                        });
                    }, function (error) {
                    });
            };

            $scope.linkTo = function(obj) {
                if(!obj.herf1) {
                    //$scope.hope();
                    return;
                }
                if(obj.herf1.substring(0, 4) !== 'http') {
                    $state.go(obj.herf1);
                } else {
                    $scope.title = obj.name;
                    $scope.iframeSrc = $sce.trustAsResourceUrl(obj.herf1);
                    $scope.modal = null;
                    var templateUrl = 'templates/adItemModal.html';
                    $ionicModal.fromTemplateUrl(templateUrl, {
                        scope: $scope,
                        animation: 'slide-in-right'
                    }).then(function(modal) {
                        $scope.modal = modal;
                        $scope.modal.show();
                    });
                    $scope.closeAgreementModal = function () {
                        $scope.modal && $scope.modal.hide();
                    };
                }
            };


        }])
    .controller('FinanceCtrl', ['$scope', '$state', 'FinanceService','UserDataService', 'UserInfoService', '$ionicPopup', '$ionicHistory', '$PFHttpResource', 'RestFulURLConstants', 'MessageService',
        function ($scope, $state, Finances,UserData, UserInfoService, $ionicPopup, $ionicHistory, $PFHttpResource, RestFulURLConstants, MessageService) {
        if(!UserData.userData.products) {
            UserData.userData.products = [
                {
                    productType: "ZS0002",
                    productName: "熊猫宝",
                    totalAmount: "0",
                    hasPurchase: false
                }
                /*,
                {
                    productType: "ZS0005",
                    productName: "周周盈",
                    totalAmount: "0",
                    hasPurchase: false
                }*/
            ];
            UserData.userData.productsArray = ["ZS0002"];
        }
        $scope.user = UserData.userData;

        if(angular.isUndefined($scope.user.isShowMoney)) {
          $scope.user.showAmount = true;
        } else {
          $scope.user.showAmount = $scope.user.isShowMoney;
        }
        $scope.$on('$ionicView.enter', function () {
            $ionicHistory.clearHistory();
            $scope.user.isLogin = UserInfoService.isLogin();
            $scope.user.isAuthenUser = UserInfoService.isAuthenUser();
            if (!$scope.user.isLogin) {
                return;
            }
            if (!$scope.user.isAuthenUser) {
                return;
            }
            queryFinanceInfo();

            //查看是否有未读消息
            //MessageService.getUserMsgReadFlag();
        });
        $scope.toCard = function (cardStyle) {
            $state.go('financeCenter.bindCardInfo', {'cardStyle': cardStyle});
        };
        $scope.goToLogin = function () {
            $state.go("security.login");
            return;
        };
        $scope.goToAuthenUser = function () {
            $state.go("personCenter.identification", {"returnUrl": "tab.self"});
            return;
        };

        $scope.goSetting = function () {
            $state.go('financeCenter.setting');
            return;
        };

        $scope.toRegulars = function () {
            $state.go('financeCenter.regularMoney', {'isForceReload': true})
        };

        $scope.toBeforeBuyPage = function (productType) {
          new $PFHttpResource(RestFulURLConstants.financeBusiness.getFundProducts, {isRecommend: '1'}, null, {show: false}).then(function (data) {
            $scope.currentFinances = data.context.providerproducts;
            var currentFinance = null;
            var financeProduct = null;
            angular.forEach($scope.currentFinances, function(obj){
                var provider = obj.provider || null;
                var products = obj.products || null;
                if(!provider || !products) {
                    return;
                }
                angular.forEach(products, function (prod){
                    if(prod.productCode == productType){
                        currentFinance = obj;
                        financeProduct = prod;
                        $state.go('financeBusiness.pandaTreasure', {fromName:'我的财富',from:'tab.self','provider':currentFinance.provider,'product':financeProduct});
                    }
                });
            });
          }, function (error) {});
        };

        $scope.card = {};

        function queryFinanceInfo() {
            Finances.queryFinanceInfo($scope)
                .then(function (data) {
                    if (data && data.context) {
                        //$scope.isShowLoading = false;
                        loadData(data);
                    }
                });
        }

        function loadData(data) {
            $scope.user.seriesData = [];
            $scope.user.totalAmount = data.context.totalAmount; //总资产
            $scope.user.balanceAmount = data.context.balanceAmount; //总电子金额
            $scope.user.frozblAmount = data.context.frozblAmount; //总冻结金额
            $scope.user.unpyblAmount = data.context.unpyblAmount; //总止付金额
            $scope.user.wjAmount = data.context.wjAmount; //总E票通金额
            $scope.user.lastIncome = data.context.lastIncome;   //昨日收益
            $scope.user.totalIncome = data.context.totalIncome; //累计收益
            $scope.user.electronAcct = data.context.electronAcct; //电子账户
            $scope.user.availAmount = data.context.availAmount;//可用余额
            //$scope.card.bindCardNo = data.context.bindCardNo;    //绑定卡号
            //$scope.user.products = data.context.productList;//购买产品 ZS000001:随心存  ZS000002:熊猫宝 ZS000003：润金宝
            //计算投资分别
            angular.forEach(data.context.productList, function (obj) {
                var seriesItem = {};
                //obj.totalAmount = obj.totalAmount?obj.totalAmount:'0';
                seriesItem.value = obj.totalAmount;
                seriesItem.name = obj.productName;
                $scope.user.seriesData.push(seriesItem);
                var hasProduct = $scope.user.productsArray.indexOf(obj.productType);
                if(hasProduct < 0) {
                    $scope.user.productsArray.push(obj.productType);
                    $scope.user.products.push(obj);
                } else {
                    $scope.user.products[hasProduct].hasPurchase = true;
                    angular.extend($scope.user.products[hasProduct],obj);
                }
            });
            UserData.userData=$scope.user;
        }

        $scope.openProducts = function(product, user) {
            if(product.hasPurchase || angular.isUndefined(product.hasPurchase)) {
                $scope.openProductsDetailsPage(product, user);
            } else {
                $scope.toBeforeBuyPage(product.productType);
            }
        };

        //打开产品详情页
        $scope.openProductsDetailsPage = function (product, user) {

            if (product.productType == 'ZS0002' || product.productType == 'ZS0003') { //熊猫宝
                $state.go('financeCenter.details', {
                    "productType": product.productType,
                    "productName": product.productName,
                    "electronAcct": user.electronAcct,
                    "totalAmount": product.totalAmount,
                    "lastIncome": product.lastIncome,
                    "totalIncome": product.totalIncome
                });
                return;
            }
            if (product.productType == 'ZS0005') {  //周周盈
              $state.go('financeCenter.details', {
                "productType": product.productType,
                "productName": product.productName,
                "electronAcct": user.electronAcct,
                "totalAmount": product.totalAmount,
                "lastIncome": product.lastIncome,
                "totalIncome": product.totalIncome,
                "copies": product.copies,
                "nav": product.nav,
                "navDate": product.navDate,
                "dailyGains": product.dailyGains,
                "availableCopies": product.availableCopies
              });
              return;
            }

        };
        //打开电子账户详情页
        $scope.openElectronPage = function (electronAcct) {
            $state.go('financeCenter.accountInfo', {"electronAcct": electronAcct});
        };
        //电子账户明细
        $scope.accountDetails = function () {
            //跳转交易明细页面
            $state.go('financeCenter.tradeDetail');
        };


        //资金明细
        $scope.assetsDetails = function () {
          //跳转金额明细页面

          /* 详细数据
          *电子帐户总余额：***
          *   可用余额: ***
          *   冻结金额: ***
          *   止付金额: ***
          * E票通总资产: ***
          * 熊猫宝总资产: ***
          * */

          var balanceAmountItem = {};
          balanceAmountItem.name = "电子帐户余额";
          balanceAmountItem.value = $scope.user.balanceAmount;

          var wjAmountItem = {};
          wjAmountItem.name= "e票通";
          wjAmountItem.value= $scope.user.wjAmount;
          var paramsArr = [balanceAmountItem,{"name":"可用余额","value":$scope.user.availAmount,"indent":true, "topBorderColor":true},{"name":"冻结金额","value":$scope.user.frozblAmount,"indent":true},{"name":"止付金额","value":$scope.user.unpyblAmount,"indent":true},wjAmountItem]; //电子帐户总余额数据添加到ProductsList
          if($scope.user.seriesData && $scope.user.seriesData.length > 0){
            paramsArr  = paramsArr.concat($scope.user.seriesData);
          }

          var data = {};
          data.totalAmount = $scope.user.totalAmount;
          data.amountList = paramsArr;
          $state.go('financeCenter.assetsDetail',{"data": data});
          paramsArr = null; //release the paramsArr
        }

        $scope.showMoney = function() {
          $scope.user.showAmount = !$scope.user.showAmount;
          UserData.userData.isShowMoney = $scope.user.showAmount;
        }

    }])
    .controller('FinanceManagementCtrl', ['$scope', '$stateParams',  'HomeService','$timeout', '$PFHttpResource', 'RestFulURLConstants', '$ionicPopup', 'loadingTextService', function ($scope, $stateParams, HomeService, $timeout, $PFHttpResource, RestFulURLConstants, $ionicPopup, loadingTextService) {

        $scope.providerproducts = [];
        $scope.electronicBillProducts = [];
        $scope.loadingTxt = loadingTextService.getRandomTxt();
        $scope.showLoading = true;
        $scope.isExcuteEnd1 = false;
        $scope.isExcuteEnd2 = false;

        $scope.hope = function () {
          $ionicPopup.alert({
            title: "消息",
            template: '即将推出，敬请期待！',
            okText: '知道了',
            okType: 'button-panda'
          });
        }

        //初始化页面查询参数
        $scope.queryWJConn = {
          "page": 1,
          "hasNext": false
        }
        $scope.queryFundConn = {
          "page": 1,
          "hasNext": false
        }
        //初始化页面列表值

        //第一次进入等待加载
        //$scope.$on("$ionicView.afterEnter", function (event) {
          if (null == $scope.providerproducts || $scope.providerproducts.length == 0) {
            $scope.showLoading = true;
          }

          if (null == $scope.electronicBillProducts || $scope.electronicBillProducts.length == 0) {
            $scope.showLoading = true;
          }

        //});

        $scope.initPageParams = function(){
          //初始化页面查询参数
          $scope.queryWJConn = {
            "page": 1,
            "hasNext": false
          }
          $scope.queryFundConn = {
            "page": 1,
            "hasNext": false
          }
          //初始化页面列表值
          $scope.providerproducts = [];//熊猫宝项目列表初始化
          $scope.electronicBillProducts = [];//E票通项目列表初始化
          $scope.isExcuteEnd1 = false;
          $scope.isExcuteEnd2 = false;
        }

        $scope.doRefresh = function () {
          $scope.initPageParams();
          $scope.loadFundProducts($scope.emitRefresh);
          $scope.loadWJProductList($scope.emitRefresh);

        };

        $scope.emitRefreshCount = 0;
        //发送停止刷新
        $scope.emitRefresh = function (){
          $scope.emitRefreshCount++;
          $scope.$broadcast('scroll.refreshComplete');
            if($scope.emitRefreshCount===2) {
                $scope.emitRefreshCount=0;
                $timeout(function() {
                    $scope.loadingTxt = loadingTextService.getRandomTxt();
                }, 1000);
            }
        };



        //加载基金项目列表
        $scope.loadFundProducts = function(cb){
            var promise = HomeService.loadFundProject($scope.queryFundConn);//查询接口数据
              promise.then(function (data) {
              $scope.showLoading = false;
              $scope.isExcuteEnd1 = true;
              $scope.providerproducts = data.context.providerproducts;
              if(typeof cb == 'function'){
                cb();
              }
            }, function (error) {
              $scope.showLoading = false;
              $scope.isExcuteEnd1 = true;
              if(typeof cb == 'function'){
                cb();
              }
            });
        }

        //加载网金项目列表
        $scope.loadWJProductList = function (cb){
          var promise = HomeService.loadWJProductList($scope.queryWJConn);//查询网金接口
          promise.then(function (data) {
              $scope.showLoading = false;
              $scope.isExcuteEnd2 = true;
              if(data.context && data.context.data.length > 0){
                //var obj1 = $scope.electronicBillProducts[0];
                //var obj2 = data.context.data[0];
                if(data.context.data[0] && $scope.electronicBillProducts.indexOf(data.context.data[0]) == -1){
                   $scope.electronicBillProducts = $scope.electronicBillProducts.concat(data.context.data);
                }
                $scope.queryWJConn.hasNext = data.context.hasNext ||false;//还有数据
                $scope.queryWJConn.page++;//自增页码
              }else{
                $scope.queryWJConn.hasNext = false;//已经没有数据
                $scope.queryWJConn.page++;//自增页码
              }
              if(typeof cb == 'function'){
                cb();
              }
            }, function () {
              $scope.showLoading = false;
              $scope.isExcuteEnd2 = true;
              if(typeof cb == 'function'){
                cb();
              }
            });
        }

        $scope.loadMoreData = function(){
          $scope.loadWJProductList();
          $timeout(function(){
            $scope.$apply(function(){ $scope.$broadcast('scroll.infiniteScrollComplete');});
          },1000);
        }
        $scope.moreDataCanBeLoaded = function(){
          return $scope.queryWJConn.hasNext;
        }

        $scope.initPageParams();
        $scope.loadFundProducts();
        $scope.loadWJProductList();

    }])
    .controller('SelfCtrl', ['$scope', function ($scope) {
        $scope.settings = {
            enableFriends: true
        };
    }])
    .controller('SurroundCtrl', ['$scope', function ($scope) {

    }])
    .controller('H5Ctrl', ['$scope', '$stateParams', '$sce', '$ionicHistory',
      function($scope, $stateParams, $sce, $ionicHistory) {
        $scope.title = $stateParams.title;
        $scope.iframeSrc = $sce.trustAsResourceUrl($stateParams.url);
        $scope.goBack = function () {
          $ionicHistory.backView() ? $ionicHistory.goBack() : $state.go("tab.home");
        }
    }]);


angular.module('pfApp')
    .controller('InvitationFriendCtrl', ['$scope', '$state', '$stateParams', '$ionicHistory', 'WebShareURLConstants', 'UserInfoService', '$ionicModal', '$ionicBackdrop', 'InvitationFriendService', '$ionicPopup', 'weixinService', '$PFHttpResource', 'RestFulURLConstants', 'ChannelConstants',
        function ($scope, $state, $stateParams, $ionicHistory, WebShareURLConstants, UserInfoService, $ionicModal, $ionicBackdrop, InvitationFriendService, $ionicPopup, weixinService, $PFHttpResource, RestFulURLConstants, ChannelConstants) {

        $scope.isShowQrCode = ChannelConstants.isShowQrCode;
        $scope.$on("$ionicView.beforeEnter", function() {
            InvitationFriendService.getInvitationFriendInfo()
                .then(function(data) {
                    $scope.registerNum = data.context.inviteRegisterUserSum;
                    $scope.investNum = data.context.inviteInvestUserSum;
                    $scope.inviteUserInfo = data.context.inviteRegisterUsers;
                }, function(error) {
                })
        });

        //邀请好友模态框
        $ionicModal.fromTemplateUrl('modules/home/templates/invitationFriendModel.html', {
            scope: $scope,
            animation: 'slide-in-up',
            backdropClickToClose: true
        }).then(function (modal) {
            $scope.modal = modal;
        });

        $scope.shareWebPage = function(flag){
            $scope.modal.hide();
            new $PFHttpResource(RestFulURLConstants.adsResource.getPositionByPid, {pid: 3}, null, {show: false})
                .then(function(data) {
                    var res = data.context.context[0];
                    weixinService.shareWebPage({
                        title: res.name,
                        description: res.remark,
                        thumb: "www/img/png/logo108x108.png",
                        webpageUrl: res.herf1,
                        type: 7,  //Wechat.Type.WEBPAGE
                        scene: flag ? 1: 0  //Wechat.Scene.TIMELINE : Wechat.Scene.SESSION
                    });
                }, function(error) {});
        };
        $scope.showInvitation = function() {
            $ionicBackdrop.retain();
            $scope.modal.show();
        };
        $scope.$on('modal.hidden', function() {
            $ionicBackdrop.release();
        });
        $scope.$on("$destroy", function() {
            $scope.modal.remove();
            $ionicBackdrop.release();
        });
    }]);

angular.module('pfApp')
    .controller('ShowFinanceAgreementCtrl', ['$scope', '$state', '$stateParams', '$ionicHistory', '$interval', 'FinanceAgreementCodeTrustURL',
        function ($scope, $state, $stateParams, $ionicHistory, $interval, FinanceAgreementCodeTrustURL) {

            $scope.iframeLoadComplete = function (e) {
                $scope.iframeProcess = 100;
            };

            $scope.$on("$destroy", function () {
                if ($scope.interval != null) {
                    $interval.cancel($scope.interval);
                }
            });

            $scope.$on("$ionicView.beforeEnter", function (event) {

                $scope.title = $stateParams.title;
                $scope.code = $stateParams.code;
                $scope.agreementSrc = FinanceAgreementCodeTrustURL($scope.code);

                $scope.iframeProcess = 0;
                $scope.interval = null;

                $scope.interval = $interval(function () {
                    if ($scope.iframeProcess < 100) {
                        if (parseFloat($scope.iframeProcess) < 60) {
                            $scope.iframeProcess = $scope.iframeProcess + 1;
                        }
                        if (parseFloat($scope.iframeProcess) < 70) {
                            $scope.iframeProcess = $scope.iframeProcess + 0.5;
                        }
                        if (parseFloat($scope.iframeProcess) < 80) {
                            $scope.iframeProcess = $scope.iframeProcess + 0.25;
                        }
                        if (parseFloat($scope.iframeProcess) < 90) {
                            $scope.iframeProcess = $scope.iframeProcess + 0.125;
                        }
                        if (parseFloat($scope.iframeProcess) < 95) {
                            $scope.iframeProcess = $scope.iframeProcess + 0.075;
                        }
                        if (parseFloat($scope.iframeProcess) < 99) {
                            $scope.iframeProcess = $scope.iframeProcess + 0.0345;
                        }
                    } else {
                        $interval.cancel($scope.interval);
                    }
                }, 20);

            });

        }]);
