/**
 * Created by Z.ZR on 2015/11/15.
 */

"use strict";
angular.module('pfApp')
    .factory('HomeService', ['$PFHttpResource', 'RestFulURLConstants',function ($PFHttpResource, RestFulURLConstants) {
        //由于前端需求更改，后管无法按照计划更改对应功能，故暂时性写死在此处。
        function getHeaderFinances() {

            return [[{
                productCode: 'ZS0003',
                productName: '润金宝',
                productIcon: 'img/svg/icon/rjb.svg',
                productDescript: '-.--%'
            }, {
                productCode: 'ZS0002',
                productName: '熊猫宝',
                productIcon: 'img/svg/icon/xmb.svg',
                productDescript: '-.--%'
            }]];
        };

        function getAdvertisements() {

            return [{
                image: "./img/jpeg/home/ad/ad01.jpg",
                uiSref: null
            }, {
                image: "./img/jpeg/home/ad/ad02.jpg",
                uiSref: null
            }, {
                image: "./img/jpeg/home/ad/ad03.jpg",
                uiSref: null
            }]
        };

        function _loadWJProductList(obj) {
          var _promise = new $PFHttpResource(RestFulURLConstants.electronicBill.getWJProductList, obj, null, {show: false});
            return _promise;
        }

        function _loadFundProject(obj) {
          var _promise = $PFHttpResource(RestFulURLConstants.financeBusiness.getFundProducts, obj, null, {show: false})
          return _promise;
        }

        return {
            headerFinances: getHeaderFinances(),
            advertisements: getAdvertisements(),
            loadWJProductList: function(obj){
              return _loadWJProductList(obj);
            },
            loadFundProject: function(obj){
              return _loadFundProject(obj);
            }
        };
    }])
.factory('InvitationFriendService', ['$PFHttpResource', 'RestFulURLConstants',
  function(Resource, RestFulURLConstants) {
    var getInvitationFriendInfo = function() {
      return Resource(RestFulURLConstants.personCenter.invitationFriend);
    };

    return {
      getInvitationFriendInfo: getInvitationFriendInfo
    }
  }]);
