/**
 * Created by Z.ZR on 2015/11/16.
 */
angular.module('pf.services.sendNotificationMessage', [])
    .factory('SendLocalNotificationService',['$state','$PFHttpResource','RestFulURLConstants','$ionicPlatform','$cordovaLocalNotification',function ($state,Resource,URLConstants,$ionicPlatform,$cordovaLocalNotification) {
        var _sendNotificationMessage = function (obj) {
             if(!obj.id){
             alert("业务数据非法:ID为必输项！");
             return;
             }
             if(!obj.title){
             alert("业务数据非法:Title为必输项！");
             return;
             }
             if(!obj.text){
             alert("业务数据非法:Test为必输项！");
             return;
             }
            $ionicPlatform.ready(function () {
                $cordovaLocalNotification.schedule({
                    id: obj.id,
                    title: obj.title,
                    text: obj.text,
                    data: obj.data
                }).then(function (result) {

                });
            });

        }
        var _callBackNotificationMessage = function (obj) {
            var backData = JSON.parse(obj.data);
            var _promise = Resource(URLConstants.productMessage.queryNotificationMessage, obj);
            _promise.then(function (data) {
                if(data && data.context){
                  $state.go("personCenter.messageNotice",{"noticeMessage":data.context.result,"backUrl":backData.backUrl});
                }
            }, function (data) {
            });
        }
        return {
            sendNotificationMessage : function(obj){
                return  _sendNotificationMessage(obj);
            },
            callBackNotificationMessage : function(obj){
              return  _callBackNotificationMessage(obj);
            }
        }
    }]);
