/**
 * Created by Z.JM on 2015/11/10.
 */
"use strict";

//运行环境定义
var RUN_ENVIRONMENT_TYPE = 'REAL';
var CHANNEL_TYPE = 'MEINEKE';   //PANDA  MEINEKE

//运行环境
var RUN_ENVIRONMENTS = {
    REAL: {RESTFUL_ENDPOINT_URL: "http://pandafinance.auto11.com/pandafinance", DEBUG: false, AES: true},
    REAL_RESOURCE: {RESTFUL_ENDPOINT_URL: "http://pandafinance1.auto11.com/pandafinance", DEBUG: false, AES: false}
};

//渠道
var CHANNEL_ENVIRONMENTS = {
    PANDA: {ID: 25, NAME: '', IS_SHOW_BACK_BTN: false, IS_SHOW_GUID_PAGE: true, IS_SHOW_LOGIN_BTN: true, LOGIN_HELP_BTN: true, REGISTER_PAGE: 'normal', AUTO_LOGIN: false, SET_EXIT_BTN: true, FRIEND_QR_CODE: false, INDEX_AD_PID: 1},      //熊猫金融
    MEINEKE: {ID: 26, NAME: '', IS_SHOW_BACK_BTN: true, IS_SHOW_GUID_PAGE: false, IS_SHOW_LOGIN_BTN: false, LOGIN_HELP_BTN: false, REGISTER_PAGE: 'quick', AUTO_LOGIN: true, SET_EXIT_BTN: false, FRIEND_QR_CODE: true, INDEX_AD_PID: 84}    //马利可
};
//服务地址
var _RESTFUL_ENDPOINT_URL_ = RUN_ENVIRONMENTS[RUN_ENVIRONMENT_TYPE].RESTFUL_ENDPOINT_URL;
var _RESTFUL_ENDPOINT_RESOURCE_URL_ = RUN_ENVIRONMENTS[RUN_ENVIRONMENT_TYPE+"_RESOURCE"].RESTFUL_ENDPOINT_URL;
//用于通知的WebSocket连接
var _WEB_SOCKET_URL = "ws://ebank.cgnb.cn:20168/websocket/login";
//用于微信分享服务器地址配置
var _WEB_SHARE_BASE_URL = "http://172.32.13.216:8080/SpaceView";
//用于微信分享服务器临时地址配置
var _WEB_SHARE_BASE_TEMP_URL = "http://ebank.cgnb.cn:30035/down";
var _WEB_SHARE_BASE_TEMP_PIC_URL = "http://ebank.cgnb.cn:30035/images/app_logo.png";

angular.module('pfApp.constants', [])
    //适用于浏览器的调试
    .constant('DevelopmentModeConstants', {
        debug: RUN_ENVIRONMENTS[RUN_ENVIRONMENT_TYPE].DEBUG,
        aes: RUN_ENVIRONMENTS[RUN_ENVIRONMENT_TYPE].AES   //报文时候加密
    })
    //用于更新版本时，冲刷app缓存，要求每次尕布新版本做相对应的更改,可以与app版本号不同。
    .constant('VersionRandomSerialNO', "?_V_=1.7.2")
    //发布新版本时，根据需要展示功能概要，更改featureGuideKey，即可让用户再次看到概要。
    .constant('FeatureGuideConstants', {
        featureGuideKey: "1.0.0",
        featureGuideConfig: {},
        featureGuideImages: ["./img/guide/1.jpg", "./img/guide/2.jpg", "./img/guide/3.jpg", "./img/guide/4.jpg"]
    })
    //APPde SHA1加密参数
    .constant('AppInformation', {
        appId: "ZH-CN8615311621031",
        appKey: "1A53116B-2C10-A311-33D6-608D45F62FED"
    })
    //内部延迟服务器session时间,机制不怎么安全。
    .constant('SecurityStrategyConstants', {
        SESSION_TIME_OUT: 15 * 60   //单位：秒
    })
    //针对于报文加密的配置
    .constant('SecurityMessageChannel', {
        mykey: '/ses/mykey/',
        getKey: '/ses/getKey/',
        setKey: '/ses/setKey/',
        public: '/ses/public/'
    })
    //渠道
    .constant('ChannelConstants', {
        id: CHANNEL_ENVIRONMENTS[CHANNEL_TYPE].ID,     //渠道id
        name: CHANNEL_ENVIRONMENTS[CHANNEL_TYPE].NAME,  //渠道名
        isShowBackBtn: CHANNEL_ENVIRONMENTS[CHANNEL_TYPE].IS_SHOW_BACK_BTN, //首页返回渠道的按钮
        isShowGuidPage: CHANNEL_ENVIRONMENTS[CHANNEL_TYPE].IS_SHOW_GUID_PAGE,//引导页&广告页
        isShowLoginBtn: CHANNEL_ENVIRONMENTS[CHANNEL_TYPE].IS_SHOW_LOGIN_BTN,//首页登录按钮
        loginHelpLink: CHANNEL_ENVIRONMENTS[CHANNEL_TYPE].LOGIN_HELP_BTN,    //登录页下面的登录遇到问题连接
        registerType: CHANNEL_ENVIRONMENTS[CHANNEL_TYPE].REGISTER_PAGE,     //注册类型,normal正常注册，quick快速注册
        isAutoLogin: CHANNEL_ENVIRONMENTS[CHANNEL_TYPE].AUTO_LOGIN,            //进入应用自动登录
        isShowSetExitBtn: CHANNEL_ENVIRONMENTS[CHANNEL_TYPE].SET_EXIT_BTN,      //应用退出按钮
        isShowQrCode: CHANNEL_ENVIRONMENTS[CHANNEL_TYPE].FRIEND_QR_CODE,         //邀请好友二维码
        indexAdPid: CHANNEL_ENVIRONMENTS[CHANNEL_TYPE].INDEX_AD_PID             //首页banner广告pid

    })
    //用于异步加载资源配置
    .constant('OCLazyLoadModulesConstants', {
        debug: false,
        events: true,
        modules: [],
        scripts: {
            electronicBillModule: ['modules/electronicBill/js/services.js', 'modules/electronicBill/js/controllers.js', "css/electronicBill/style.css"],
            auctionModule: ['modules/auction/js/services.js', 'modules/auction/js/controllers.js', 'css/auction/style.css'],
            ngImgCrop: ['lib/ngImgCrop/0.3.2/ng-img-crop.min.js', 'lib/ngImgCrop/0.3.2/ng-img-crop.css'],
            chart: ['lib/chart/1.0.2/Chart.min.js'],
            echarts: ['lib/echart/3.0/echarts.common.min.js'],
            homeModule: ['modules/home/js/services.js', 'modules/home/js/controllers.js', "css/home/style.css"],
            securityModule: ['modules/security/js/services.js', 'modules/security/js/controllers.js', 'css/security/style.css','css/security/style_pandabank.css'],
            personCenterModule: ['modules/personCenter/js/controllers.js', 'modules/personCenter/js/services.js', 'css/identification/styles.css'],
            finance: ['css/finance/style.css', 'modules/finance/js/services.js'],
            financeModule: ['modules/finance/js/controllers.js', "css/home/style.css"],
            financeBusinessModule: ['modules/financeBusiness/js/services.js', 'modules/financeBusiness/js/controllers.js', "css/financeBusiness/style.css"],
            biddingModule: ['css/bidding/style.css', 'modules/bidding/js/services.js', 'modules/bidding/js/controllers.js']
        }
    })
    //用于配置验证码信息
    .constant('MobileValidateCodeTypeConstants', {
        REGISTER: {
            name: "普通验证码",
            desc: "该验证码只能用于用户登录、注册新用户、修改密码。",
            type: "register",
            timeOut: 60
        },
        BANKPHONECERTIFICATION: {
            name: "交易验证码",
            desc: "该验证码只能实名认证。",
            type: "bankPhoneCertification",
            timeOut: 60
        },
        RESETPAYPASSWORD: {
            name: "交易验证码",
            desc: "重置交易密码。",
            type: "resetPayPassword",
            timeOut: 60
        },
        FORGET_PASSWORD: {
            name: "普通验证码",
            desc: "该验证码只能用于用户登录、注册新用户、修改密码。",
            type: "forgetPassword",
            timeOut: 60
        },
        USER_LOGIN: {
            name: "登陆验证",
            desc: "新设备首次登陆此账号时验证。",
            type: "userLogin",
            timeOut: 60
        },
        ENCASH: {
            name: "提现",
            desc: "提现时需要的验证码。",
            type: "encash",
            timeOut: 60
        },
        RECHARGE: {
            name: "充值确认",
            desc: "他行卡充值需要短信验证。",
            type: "recharge",
            timeOut: 60
        },
        CHANGE_BANK_MOBILE: {
            name: '银行卡绑定手机号更改',
            desc: "银行卡绑定手机号更改。",
            type: "changeBankMobile",
            timeOut: 60
        },
        //图片验证码Type,暂时放在手机验证码type常量中，以后可以加个新的constant
        PIC_VERIFICATION: {
            name: "图片验证码",
            desc: "图片验证码",
            type: 'pic',
            timeOut: 60
        }
    })
    //微信分享
    .constant('WebShareURLConstants', {
        foundProductShare: _WEB_SHARE_BASE_URL + "/pandafinance/productItem",
        foundProductListShare: _WEB_SHARE_BASE_URL + "/pandafinance/productList",
        tempResourceUrl: _WEB_SHARE_BASE_TEMP_URL,
        tempImgResourceUrl: _WEB_SHARE_BASE_TEMP_PIC_URL
    })
    //用于访问restful资源URL配置
    .constant('RestFulURLConstants', {
        publicService: {
            generalMobileValidateCode: _RESTFUL_ENDPOINT_URL_ + "/ws/verificationCode/sendVerificationCode.json",    //注册手机校验码
            distinguishBankType: _RESTFUL_ENDPOINT_URL_ + "/ws/kabin/getKabinbyNo.json", //通过6位卡bin查询银行卡
            getAllKabin: _RESTFUL_ENDPOINT_URL_ + "/ws/kabin/getAllKabin.json", //获取所有支持的银行卡
            checkVerificationCode: _RESTFUL_ENDPOINT_URL_ + "/ws/verificationCode/checkVerificationCode.json",//验证手机校验码params:{type:,verificationCode:,userAccount},
            getPicVerificationCode: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/verificationCode/getPicVerificationCode.json"//取得图片验证码
        },
        security: {
            register: _RESTFUL_ENDPOINT_URL_ + "/ws/userRegister/register.json",    //注册
            login: _RESTFUL_ENDPOINT_URL_ + "/ws/login.json",    //登录
            forgetPassword: _RESTFUL_ENDPOINT_URL_ + "/ws/updatePwd2/resetPassword.json",
            forgetPasswordNext: _RESTFUL_ENDPOINT_URL_ + "/ws/updatePwd2/resetLoginPasswordStepTwo.json",
            pandaBankLogin: _RESTFUL_ENDPOINT_URL_ + "/ws/outLogin/loginCheck.json",//账户互通，手机银行登录
            pandaBankRegister: _RESTFUL_ENDPOINT_URL_ + "/ws/outLogin/register.json",//手机银行快速注册
            quickOpenAccount: _RESTFUL_ENDPOINT_URL_ + "/ws/outLogin/authentication.json",//手机银行开户
            channelLogin: _RESTFUL_ENDPOINT_URL_ + "/ws/channel/channelLogin.json",   //渠道登录
            channelQuickRegister: _RESTFUL_ENDPOINT_URL_ + "/ws/channel/quickRegister.json",  //渠道快速注册
            channelAuthority:  _RESTFUL_ENDPOINT_URL_ + "/ws/channel/bind.json",   //渠道授权
            saveDevice: _RESTFUL_ENDPOINT_URL_ + "/ws/saveDevice.json"            //激光推送告知后台设备
        },
        commonQuestion: {url: "json/commonQuestion/commonQuestion.json", isNotUA: true},
        getCity: {url: _RESTFUL_ENDPOINT_RESOURCE_URL_+"/resource/branch/getAllCityBranchInfo.json", isNotUA: true},//获取支行的市、区
        getBranch: {url: _RESTFUL_ENDPOINT_RESOURCE_URL_+"/resource/branch/getBranchInfoByArea.json", isNotUA: true},//通过地址获取支行
        electronicBill: {
            getWJProductList: {
                url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/electronicBill/getWJProductList.json", isNotUA: true
            },
            getWJProjectDetail: {
                url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/electronicBill/getWJProjectDetail.json", isNotUA: true
            },
            createOrder: _RESTFUL_ENDPOINT_URL_ + "/ws/wj/createOrder.json",
            queryInvestRecord: {
                url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/electronicBill/queryInvestRecord.json", isNotUA: true
            },
            isBuyElectronicBill: _RESTFUL_ENDPOINT_URL_+ "/ws/wj/checkUserLevel.json" //判断能否购买一票通
        },
        financeBusiness: {
            getFundProducts: {
                url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/fundproduct/getFundProducts.json",
                isNotUA: true
            },	//获取产品列表
            pandaTreasure: {
                questionsInfoList: {
                    url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/pandaFund/getQuestionInfo.json", isNotUA: true
                },   //获取熊猫宝风险评估题库
                sign: _RESTFUL_ENDPOINT_URL_ + "/ws/pandaFund/sign.json",  //签约熊猫宝
                signThirtpart: _RESTFUL_ENDPOINT_URL_ + "/ws/pandaFund/thirdpartSign.json",//签约第三方协议
                checkSignInfo: _RESTFUL_ENDPOINT_URL_ + "/ws/pandaFund/checkSignInfo.json", //判断是否签约、风评、电子账户一致性
                doVenture: _RESTFUL_ENDPOINT_URL_ + "/ws/pandaFund/doVenture.json", //做风评
                queryFundHistoryDetail: {
                    url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/pandaFund/queryFundHistoryDetail.json", isNotUA: true
                },   //熊猫宝明细
                queryPandaIncome: _RESTFUL_ENDPOINT_URL_ + "/ws/pandaFund/queryPandaIncome.json",   //熊猫宝明细
                buyFund: _RESTFUL_ENDPOINT_URL_ + "/ws/pandaFund/buyFund.json",    //购买熊猫宝
                navList: {
                    url:_RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/fundproduct/navList.json",    //净值列表
                    isNotUA: true
                 },
                queryKillOrderList: _RESTFUL_ENDPOINT_URL_ + "/ws/pandaFund/queryKillOrderList.json",    //查询可撤单列表
                killOrder: _RESTFUL_ENDPOINT_URL_ + "/ws/pandaFund/killOrder.json",    //净值列表
                saleFund: _RESTFUL_ENDPOINT_URL_ + "/ws/pandaFund/saleFund.json",   //赎回熊猫宝
                changeFundCard: _RESTFUL_ENDPOINT_URL_ + "/ws/pandaFund/changeFundCard.json",   //更改签约卡
                queryPandaFundDayIncome: _RESTFUL_ENDPOINT_URL_ + "/ws/pandaFund/queryPandaFundDayIncome.json" //查询基金日收益明细
            }
        },
        personCenter: {
            indentification_card_pwd: _RESTFUL_ENDPOINT_URL_ + "/ws/authentication/validateCardInfo.json",  //卡客户信息验证
            electron_account_create: _RESTFUL_ENDPOINT_URL_ + "/ws/authentication/setPayPassword.json", //创建电子账户
            signFreeDeposit: _RESTFUL_ENDPOINT_URL_ + "/ws/authentication/signFreeDeposit.json",//签约随心存
            modify_paypassword: _RESTFUL_ENDPOINT_URL_ + "/ws/updatePwd/modifyPayPassword.json",//交易密码修改身份信息验证
            confirm_paypassword: _RESTFUL_ENDPOINT_URL_ + "/ws/updatePwd/confirmPayPassword.json",//交易密码修改
            reset_paypassword: _RESTFUL_ENDPOINT_URL_ + "/ws/updatePwd/verifyPersonalInfo.json",//交易密码重置身份信息验证
            confirmreset_paypassword: _RESTFUL_ENDPOINT_URL_ + "/ws/updatePwd/resetPayPassword.json",//交易密码重置
            queryUserContactAddress: _RESTFUL_ENDPOINT_URL_ + "/ws/updateUser/queryUserContactAddress.json",//查询用户联系地址信息
            queryUserInformation: _RESTFUL_ENDPOINT_URL_ + "/ws/updateUser/getUserInfo.json",//查询用户信息
            updateUserContactAddress: _RESTFUL_ENDPOINT_URL_ + "/ws/updateUser/updateUserContactAddress.json",//更新用户联系地址信息
            setDefaultAddress: _RESTFUL_ENDPOINT_URL_ + "/ws/updateUser/setDefaultAddress.json",//设置默认地址
            deleteAddress: _RESTFUL_ENDPOINT_URL_ + "/ws/updateUser/deleteAddress.json",//删除地址
            addContactAddress: _RESTFUL_ENDPOINT_URL_ + "/ws/updateUser/addContackAddress.json",//添加联系人信息
            queryAcctInfo: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/queryAcctInfo.json", //查询开户机构&用户姓名
            getUserIdNo: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/queryUserIdNo.json", //获取用户身份信息
            getRegulars: _RESTFUL_ENDPOINT_URL_ + "/ws/wj/queryOwnedOrder.json",//获取定期信息
            getRegulars2: _RESTFUL_ENDPOINT_URL_ + "/ws/wj/queryOrderByStatus.json",//获取定期信息2
            invitationFriend: _RESTFUL_ENDPOINT_URL_ + "/ws/invite/inviteSum.json"//获取邀请好友信息
        },
        finance: {
            assets: {
                electronicAccount: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/queryUserAssetsInfo.json",  //总资产
                queryBindCardInfo: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/queryBindCardInfo.json", //获取绑定卡信息
                queryAcctCardInfo: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/queryAcctCardInfo.json", //获取绑定卡及电子账户余额信息
                changeBindCardInfo: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/updateBindCardInfo.json",//查询绑定卡信息
                queryElectronicAccountTradeDetail: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/queryAcctTransDetail.json",//查询电子账户交易历史
                electroinicAccountRecharge: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/recharge.json",//电子账户充值
                electroinicAccountEnchash: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/enchash.json",//电子账户提现
                queryOnlyElectronicAccount: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/queryAcctAmount.json",// 查询电子账户可用余额
                queryUserTotalAssetsInfo: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/queryUserTotalAssetsInfo.json",//查询总资产和各个产品信息
                queryUserTotalAssetsInfoShow: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/queryUserTotalAssetsInfoToShow.json",//查询总资产和各个产品信息
                unBindBankCard: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/unbindCard.json",//解绑指定银行卡
                addBindCardInfo: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/addBindCardInfo.json",//新增绑定卡
                queryFundProductProtocol: _RESTFUL_ENDPOINT_URL_ + "/ws/fundproduct/getProductByProductCode.json", //根据产品代码查询产品信息
                queryBankDepositRate: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/queryBankRateInfo.json", //查询银行存款利率
                queryDLMemberCardDetail: _RESTFUL_ENDPOINT_URL_ + "/ws/dLmemberInfo/getDLmemberCardInfo.json", //查询鼎粮卡账户详细
                checkRedeem: _RESTFUL_ENDPOINT_URL_+ "/ws/pandaFund/checkRedeem.json", //周周盈赎回判断
                changeCellPhone: _RESTFUL_ENDPOINT_URL_ + "/ws/recharge/checkUpdateNewMobileNo.json",//电子账户充值
                changeBindCard: _RESTFUL_ENDPOINT_URL_ + "/ws/electronicAccount/changeBindCardInfo.json"//更换银行绑定卡
            }
        },
        messageCenter: {
            queryNotificationMessage: _RESTFUL_ENDPOINT_URL_ + "/ws/chatMessage/findMessage.json" ,//查询通知消息
            getNotifyMsgList: {url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/msg/getNotifyMsgList.json",isNotUA:true},//查询公告信息
            getNotifyMsg: {url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/msg/getNotifyMsg.json",isNotUA: true},//获取消息通知公告详情
            getUserMsgList: _RESTFUL_ENDPOINT_URL_ + "/ws/msg/getUserMsgList.json", //查询用户消息
            getUserMsg: _RESTFUL_ENDPOINT_URL_ + "/ws/msg/getUserMsg.json",
            setMsgReadFlag: _RESTFUL_ENDPOINT_URL_ + "/ws/msg/setMsgReadFlag.json",//设置全部已读
            getUserMsgReadFlag: _RESTFUL_ENDPOINT_URL_ + "/ws/msg/getUserMsgReadFlag.json", //获取是否有未读消息
            getMsg: {url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/msg/getMsg.json", isNotUA: true} //不需要登录推送消息
        },
        productMessage: {
            queryNotificationMessage: _RESTFUL_ENDPOINT_URL_ + "/ws/productMessage/queryNotificationMessage.json" //查询产品交易历史
        },
        userManagement: {
            modifyLoginPassword: _RESTFUL_ENDPOINT_URL_ + "/ws/userRegister/updateUserPassword.json", //用户登录密码修改
            signOut: _RESTFUL_ENDPOINT_URL_ + "/ws/updateUser/signOut.json"
        },
        auction: {
            getAuctionStartingList: {url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/pat/getBiddingList.json", isNotUA: true},//获取正在进行的竞拍
            getAuctionWaitingList: {url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/pat/getComingList.json", isNotUA: true},//获取正在未开始的竞拍
            getAuctionRecordList: {
                url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/pat/getBidRecordList.json", isNotUA: true
            },//获取竞拍记录
            getMyOngoingAuctions: _RESTFUL_ENDPOINT_URL_ + "/ws/pat/getMyOngoingAuctions.json",//获取自己正在竞拍
            getMySuccessAuctions: _RESTFUL_ENDPOINT_URL_ + "/ws/pat/getMySuccessAuctions.json",//获取已成功竞拍记录
            doBiddingCheck: _RESTFUL_ENDPOINT_URL_ + "/ws/pat/doBiddingCheck.json",//获取已成功竞拍记录
            getMyConfirmedAuctions: _RESTFUL_ENDPOINT_URL_ + "/ws/pat/getMyConfirmedAuctions.json",//获取已完成竞拍记录
            getAuctionInfo: {
                url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/pat/getAuctionInfo.json", isNotUA: true
            },//根据竞拍ID查信息
            doAuction: _RESTFUL_ENDPOINT_URL_ + "/ws/pat/doBidding.json",//竞价
            payOrder: _RESTFUL_ENDPOINT_URL_ + "/ws/pat/payOrder.json",//支付竞拍物品
            getMyAuction: _RESTFUL_ENDPOINT_URL_ + "/ws/pat/getMyAuction.json",//获取已成功的详情
            getMyConfirmed: _RESTFUL_ENDPOINT_URL_ + "/ws/pat/getMyConfirmed.json",//获取已确认商品
            getAuctionPositionCodeList: {
                url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/position/codelist.json",
                isNotUA: true
            }//获取城市定位编码
        },
        unitResource: {
            salesAgreement: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/salesAgreement/showAgreement",//文档统一信息下载(无需配置UA)
            downImageByFileOid: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/pat/downImageByFileOid",//图片统一信息下载(无需配置UA)
            generateTransactionSerialNo: _RESTFUL_ENDPOINT_URL_ + "/ws/transferSerial/generateSerialNo.json"
        },
        webScoket: {
            onopen: _WEB_SOCKET_URL
        },
        appResource: {
            checkVersion: {url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/wsapkinfomanager/checkUpdate.json", isNotUA: true},//检查apk
            downloadApp: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/public/wsapkinfomanager/showAppDownloadChannel"//下载apk(无需配置UA)
        },
        adsResource: {
            getPositionByPid: {url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/positionBiz/getPositionByPid.json", isNotUA: true}, //获取运营位
          getHomeMessage: {url: _RESTFUL_ENDPOINT_RESOURCE_URL_ + "/resource/msg/getNotifyMsgList.json", isNotUA: true}
        }
    })

    //WebStorage的key配置
    .constant('WebStorageConstants', {
        USER_INFO: "SYS_USER_INFO",//用户信息
        USER_TOKEN_ID: "USER_TOKEN_ID",//tokenID
        USER_ACCT_NO: "USER_ACCT_NO",
        CURRENT_USER_INFO: "CURRENT_USER_INFO",
        USER_GESTURE_LOCK: "USER_GESTURE_LOCK",
        USER_GESTURE_LOCK_TIMES_OUT: 'USER_GESTURE_LOCK_TIMES_OUT'
    })
    .constant('RouterLevel', {
        ANY_ONE: 1,//游客
        LOGIN_USER: 2,//登录用户
        AUTHEN_USER: 4//认证用户
    })
    //手势密码展现形态
    .constant('GestureLockConstants', {
            success: {
                lineWidth: 8,
                lineStrokeStyle: "#0a9dc7",
                ringWidth: 2,
                ringStrokeStyle: "#11c1f3",
                pointStrokeStyle: "#11c1f3"
            },
            error: {
                lineWidth: 8,
                lineStrokeStyle: "#e42112",
                ringWidth: 2,
                ringStrokeStyle: "#e42112",
                pointStrokeStyle: "#e42112"
            },
            warning: {
                lineWidth: 8,
                lineStrokeStyle: "#e42112",
                ringWidth: 2,
                ringStrokeStyle: "#ef473a",
                pointStrokeStyle: "#ef473a"
            },
            default: {
                lineWidth: 8,
                lineStrokeStyle: "#da562d",
                ringWidth: 2,
                ringStrokeStyle: "#f96c41",
                pointStrokeStyle: "#f96c41"
            },
            matrix: 3,
            spacing: 3.4,
            viewTime: 618,
            verificationTimes: 5
        }
    );
